Qlik Community

QlikView Administration

Discussion Board for collaboration on QlikView Management.

Announcements
QlikWorld online is next week! REGISTER NOW
cancel
Showing results for 
Search instead for 
Did you mean: 
fredericvillemi
Creator III
Creator III

qv_user_manager doesn't work with V11 ?

Hi,

i'm trying to use qv_user_manager.exe from the Power Tools.

I have the latest version of this tool but when i want to launch it, even just to see the Version, i have the message below

Do you think it is because i use QV11SR1 or is it an issue with my Windows Server (2008 64bit) ?

D:\docs\qlikview\tools>qv-user-manager -V

Unhandled Exception: System.IO.FileNotFoundException: Could not load file or ass

embly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c56193

4e089' or one of its dependencies. The system cannot find the file specified.

File name: 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c

561934e089'

   at qv_user_manager.Program.Main(String[] args)

WRN: Assembly binding logging is turned OFF.

To enable assembly bind failure logging, set the registry value [HKLM\Software\M

icrosoft\Fusion!EnableLog] (DWORD) to 1.

Note: There is some performance penalty associated with assembly bind failure lo

gging.

To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fus

ion!EnableLog].

1 Solution

Accepted Solutions
StefanBackstrand
Employee
Employee

Do you have Microsoft .NET Framework 3.5 installed correctly on the machine you are running on?

Also make sure to try the new version of qv-user-manager from Power Tools 1.1: http://community.qlik.com/docs/DOC-3059

View solution in original post

9 Replies
StefanBackstrand
Employee
Employee

Do you have Microsoft .NET Framework 3.5 installed correctly on the machine you are running on?

Also make sure to try the new version of qv-user-manager from Power Tools 1.1: http://community.qlik.com/docs/DOC-3059

fredericvillemi
Creator III
Creator III
Author

Hi,

i have only installed .NET 4.0

do you think i need to (and can !)  install 3.5 after 4.0 ?

StefanBackstrand
Employee
Employee

The .NET Framework components install parallell and can be installed in any order you like, basically. If a tool is set to use 3.5 components, that's what you will need.

fredericvillemi
Creator III
Creator III
Author

Hi,

i have tried with 3.5 and it works great !

Thanks

Now i try to add a user :

qv-user-manager --add=CAL AD\ABAB1234

and it tells me Nothing to add on QVS@server1

it's the same when i want to remove something

am i doing something wrong ?

thanks

fredericvillemi
Creator III
Creator III
Author

Hmmm so sorry about my previous answer ..

i had not read the usage of the tool

echo AD\ABAB1234 | qv-user-manager --add=CAL works great !

thanks again

swuehl
MVP
MVP

Stefan, I think it would be helpful to add this dependency to the Release Notes or Readme.

QV11 requires and enforces .Net 4.0 installation.

So I would (and I did) expect that a tool called qv_user_manager 11 is ready to run in a QV11 installation environment. The returned error (I think there is also another .net 3.5 dependency - XMLDBViewer, IIRC?)

is hard to understand for non-experts, so a note would really help people to get things up and running.

Just my 0.02 €, besides that, I really like the tools.

Stefan

regowins
Creator II
Creator II

Question, will this work if a user has been inactive for more than 24 hours but less than 30 days?

Thanks!

shay_cooper
Contributor III
Contributor III

Hi out of curiosity did any one get this working in QV11 to remove cals presented in a file to the API rather than the default 30 day limit as the client would want to shorten this down to 7 days if possible.

regowins
Creator II
Creator II

Hi, as far as I know, this is how the PowerTools has been built: you cannot specify
the date range, and the tool will only clean cals above 30 days.